import '../../stencil.core';
import '../../stencil.core';
import '../../stencil.core';
import { ConfigService, TranslateService } from '../../lib/index';
import { AppService } from "../../global/app-service";
export declare class AppRoot {
    app: AppService;
    config: ConfigService;
    translation: TranslateService;
    state: any;
    errorMessage: string;
    loading: boolean;
    baseUrl: string;
    constructor();
    sketchInitHandler(event: CustomEvent): void;
    svgElementClickHandler(event: CustomEvent): void;
    render(): JSX.Element;
}
